-- title:  print palette
-- author: pixelbath
-- desc:   prints the current palette
-- script: lua

t=0
x=96
y=24
cls()

function TIC()
	pal_addr=0x3fc0
	
	for i=0,15 do
        offset = i * 3
		hex = string.format(
            "%x%x%x"
            , peek(pal_addr+offset)
            , peek(pal_addr+offset+1)
            , peek(pal_addr+offset+2)
        )
		print(hex, 0, i*8, 12, 1, 1, 1)
	end
end
